#!/bin/sh
echo 'name: feldspar-compiler
version: 0.4.0.2
id: feldspar-compiler-0.4.0.2-caa13e25ae2641fe476c8bfbce776d5c

license: BSD3
copyright: Copyright (c) 2009-2011, ERICSSON AB
maintainer: deva@inf.elte.hu
stability: experimental
homepage: http://feldspar.inf.elte.hu/feldspar/
package-url:
description: Feldspar (**F**unctional **E**mbedded **L**anguage for **DSP**
             and **PAR**allelism) is an embedded DSL for describing digital
             signal processing algorithms.
             This library (FeldsparCompiler) contains a prototype compiler
             that supports C code generation from programs written in this
             language both according to ANSI C and also targeted to a real
             DSP HW.
category: Compiler
author: Feldspar group,
        Eotvos Lorand University Faculty of Informatics
pkgpath: lang/feldspar/compiler
exposed: True
exposed-modules: Feldspar.Compiler.Imperative.Representation
                 Feldspar.Compiler.Imperative.FromCore
                 Feldspar.Compiler.Imperative.Frontend
                 Feldspar.Compiler.Imperative.TransformationInstance
                 Feldspar.Compiler.Imperative.Plugin.ConstantFolding
                 Feldspar.Compiler.Imperative.Plugin.Unroll
                 Feldspar.Compiler.Imperative.Plugin.Naming
                 Feldspar.Compiler.Backend.C.CodeGeneration
                 Feldspar.Compiler.Backend.C.Plugin.PrettyPrint
                 Feldspar.Compiler.Backend.C.Plugin.Locator
                 Feldspar.Compiler.Backend.C.Plugin.HandlePrimitives
                 Feldspar.Compiler.Backend.C.Plugin.BlockProgramHandler
                 Feldspar.Compiler.Backend.C.Plugin.TypeCorrector
                 Feldspar.Compiler.Backend.C.Plugin.TypeDefinitionGenerator
                 Feldspar.Compiler.Backend.C.Plugin.VariableRoleAssigner
                 Feldspar.Compiler.Backend.C.Plugin.AllocationEliminator
                 Feldspar.Compiler.Backend.C.Library
                 Feldspar.Compiler.Backend.C.Options
                 Feldspar.Compiler.Backend.C.Platforms
                 Feldspar.Compiler.Frontend.CommandLine.API.Library
                 Feldspar.Compiler.Frontend.CommandLine.API.Constants
                 Feldspar.Compiler.Frontend.CommandLine.API.Options
                 Feldspar.Compiler.Frontend.CommandLine.API
                 Feldspar.Compiler.Compiler Feldspar.Compiler.Error
                 Feldspar.Compiler Feldspar.Transformation
                 Feldspar.Transformation.Framework Feldspar.NameExtractor
hidden-modules:
import-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2
library-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2
hs-libraries: HSfeldspar-compiler-0.4.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/lib/ghc/feldspar-compiler-0.4.0.2/include
includes:
depends: MonadCatchIO-mtl-0.3.0.2-d37299717086611240bcc2c804af186d
         ansi-terminal-0.5.5-572a1d0154fb2632bb4e9431adf0cdb1
         base-4.3.1.0-912d55d387093f740e3bcd2ffbf1dd83
         containers-0.4.0.0-18deac99a132f04751d862b77aab136e
         directory-1.1.0.0-9b4fc50fd8f1413dca2a5e01dd665f6d
         feldspar-language-0.4.0.2-068531b5dfa5f10d2be2c34e7baf4f99
         filepath-1.2.0.0-679ac50c41ba31bfc69abf444d9852e4
         haskell-src-exts-1.11.1-5a6d1d75db92cbd1d7206b9e9f18703e
         hint-0.3.3.2-45970d5f76058a7ae99ea99892e6c41e
         mtl-2.0.1.0-9763a8821c812a910d327bad2c0d23b2
         process-1.0.1.5-4cab1bf0666275ac101dd48c7565b64c
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-feldspar-compiler-0.4.0.2/html/feldspar-compiler.haddock
haddock-html: /usr/local/share/doc/hs-feldspar-compiler-0.4.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
